package org.ts.ddcs.itemdatatemplate.szy;

import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.ts.ddcs.itemdatatemplate.DataItemTemplate;

import java.util.List;
import java.util.Map;

/**
 * 0xF1
 * 测站编码
 */
@Slf4j
public class DataItemTemplateSzyST extends DataItemTemplate {

    @Override
    public int stream(byte[] data, int index) {
        log.info("template {}",this.getClass().getName());
        this.macth = true;
        int count = 0;

        return count;
    }

    @Override
    public int stream(byte[] data, int index, int batchSize) {
        return 0;
    }

    @Override
    public String getStringValue() {
        return this.varcharValue;
    }

    @Override
    public void saveValue(Map<String, List<Map<String,Object>>> keyStore) {
        this.saveVarcharValues(keyStore);
    }

}
